Loading...
Searching...
No Matches
caf::detail::stream_sink_driver_impl< Input, Process, Finalize > Class Template Referencefinal

Identifies an unbound sequence of messages. More...

`#include <stream_sink_driver_impl.hpp>`

Inheritance diagram for caf::detail::stream_sink_driver_impl< Input, Process, Finalize >:

## Public Types

using | super = stream_sink_driver<Input>
using | trait = stream_sink_trait_t<Process>
using | state_type = typename trait::state
using | input_type
Public Types inherited from caf::stream_sink_driver< Input >
using | input_type = Input
using | sink_type = stream_sink<input_type>
| Implemented stream_sink interface.
using | sink_ptr_type = intrusive_ptr<sink_type>
| Smart pointer to the interface type.

## Public Member Functions

template<class Init>
| stream_sink_driver_impl (Init init, Process f, Finalize fin)
void | process (std::vector< input_type > &xs) override
| Processes a single batch.
void | finalize (const error &err) override
| Called after closing the last inbound path.
Public Member Functions inherited from caf::stream_sink_driver< Input >
virtual bool | congested () const noexcept
| Can mark the sink as congested, e.g., when writing into a buffer that fills up faster than it is drained.
virtual int32_t | acquire_credit (inbound_path *path, int32_t desired)
| Acquires credit on an inbound path.

## Detailed Description

template<class Input, class Process, class Finalize>
class caf::detail::stream_sink_driver_impl< Input, Process, Finalize >

Identifies an unbound sequence of messages.

## Member Function Documentation

## finalize()

template<class Input, class Process, class Finalize>

void caf::detail::stream_sink_driver_impl< Input, Process, Finalize >::finalize | ( | const error & |  | ) |

override virtual

Called after closing the last inbound path.

Reimplemented from caf::stream_sink_driver< Input >.

## process()

template<class Input, class Process, class Finalize>

void caf::detail::stream_sink_driver_impl< Input, Process, Finalize >::process | ( | std::vector< input_type > & | batch | ) |

override virtual

Processes a single batch.

Implements caf::stream_sink_driver< Input >.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/stream_sink_driver_impl.hpp